Package org.apache.uima.cas.impl

# Class LinearTypeOrderBuilderImpl.TotalTypeOrder

java.lang.Object
org.apache.uima.cas.impl.LinearTypeOrderBuilderImpl.TotalTypeOrder

All Implemented Interfaces:
  `LinearTypeOrder`

Enclosing class:
  LinearTypeOrderBuilderImpl

public static class LinearTypeOrderBuilderImpl.TotalTypeOrder extends Object implements LinearTypeOrder
An implementation of the `LinearTypeOrder` interface.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compare(FeatureStructure fs1, FeatureStructure fs2)`
  Compare two Feature Structure's types
  `boolean`
  `equals(Object obj)`
  `int[]`
  `getOrder()`
  `int`
  `hashCode()`
  `boolean`
  `isEmptyTypeOrder()`
  `boolean`
  `lessThan(int t1, int t2)`
  Compare two types.
  `boolean`
  `lessThan(Type t1, Type t2)`
  Compare two types.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### compare

    public int compare(FeatureStructure fs1, FeatureStructure fs2)
    Description copied from interface: `LinearTypeOrder`
    Compare two Feature Structure's types
    Specified by:
      `compare` in interface `LinearTypeOrder`
    Parameters:
      `fs1` - first Feature Structure
      `fs2` - second Feature Structure
    Returns:
      same as compare functions: -1 if fs1's type < fs2's type, etc.

  - ### lessThan

    public boolean lessThan(Type t1, Type t2)
    Description copied from interface: `LinearTypeOrder`
    Compare two types.
    Specified by:
      `lessThan` in interface `LinearTypeOrder`
    Parameters:
      `t1` - type to compare
      `t2` - type to compare
    Returns:
      `true` iff `t1` is less than `t2` in this order.

  - ### lessThan

    public boolean lessThan(int t1, int t2)
    Description copied from interface: `LinearTypeOrder`
    Compare two types.
    Specified by:
      `lessThan` in interface `LinearTypeOrder`
    Parameters:
      `t1` - type to compare
      `t2` - type to compare
    Returns:
      `true` iff `t1` is less than `t2` in this order.

  - ### getOrder

    public int[] getOrder()
    Specified by:
      `getOrder` in interface `LinearTypeOrder`
    Returns:
      The type order as array of type codes in ascending order.

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### isEmptyTypeOrder

    public boolean isEmptyTypeOrder()
    Specified by:
      `isEmptyTypeOrder` in interface `LinearTypeOrder`
    Returns:
      true if there is no type order defined for this pipeline